%define builtin_release_name Tikanga
%define product_family Red Hat Enterprise Linux
%define base_release_version 5
%define builtin_release_variant Server
%define builtin_release_version %{base_release_version}%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define product_family Red Hat Enterprise Linux

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

Summary: %{product_family} release file
Name: redhat-release
Version: %{real_release_version}
Release: 5.0.0.9.1AX
License: GPL
Group: System Environment/Base
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat
BuildRoot: %{_tmppath}/redhat-release-root
%if %{builtin_release_variant} == Client
ExclusiveArch: i386 x86_64
%else
%if %{builtin_release_variant} == Server
ExclusiveArch: i386 ia64 ppc s390x x86_64
%endif
%endif

%description
%{product_family} release files

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release %{base_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release

%changelog
* Tue Mar 20 2007 Nam, Kwonwoo <kwnam@haansoft.com> -5Server-5.0.0.9.1AX
- Removed files that they are irrelevant to Asianux.

* Thu Feb  8 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.9
- Translation fixes
- Related: rhbz#215279

* Tue Feb  6 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.8
- EULA line wrap fixes
- Resolves: rhbz#227261

* Thu Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.7
- Translation fixes
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.6
- match EULA to eula.en_US
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.5
- Translation fixes
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.4
- Fix bug that dropped some EULAs
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.3
- Updated EULAs
- Resolves: rhbz#215279

* Tue Jan 23 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.2
- rhel-debuginfo.repo is now configured to use the new GPG key
- Relates: rhbz#217755

* Wed Jan 17 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.1
- Bump for RC
- Resolves: rhbz#223124

* Thu Dec 14 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-7
- quote the directory name in autorun
- Resolves: rhbz#219468

* Wed Dec 13 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-6
- new RPM GPG keys
- Resolves: rhbz#219469

* Tue Dec  5 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-5
- Added rhel-debuginfo.repo
- Resolves: rhbz#217755

* Thu Nov 30 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-4
- Fix a translation issue
- Resolves: rhbz#212958

* Thu Nov  9 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-3
- Removed /etc/sysconfig/rhn
- Resolves: rhbz#214712

* Wed Nov  1 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-2
- Fix version in /etc/redhat-release
- Resolves: rhbz#213429

* Wed Oct 25 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-1
- Bump version for Beta 2

* Wed Oct 25 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.91Client-3
- Obsolete comps and rpmdb-redhat
- Resolves: rhbz#211646

* Sat Oct 14 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.91Client-2
- replace gtk.TRUE/FALSE with TRUE/FALSE in eula.py
- Resolves: rhbz#210410


